[llvm-commits] [llvm-gcc-4.2] r62843 - /llvm-gcc-4.2/trunk/build-for-llvm-top.sh
Duncan Sands
baldrick at free.fr
Fri Jan 23 01:11:12 PST 2009
Author: baldrick
Date: Fri Jan 23 03:11:08 2009
New Revision: 62843
URL: http://llvm.org/viewvc/llvm-project?rev=62843&view=rev
Log:
Patch to adjust llvm-gcc build for llvm being built
with srcdir != objdir. By Michael Schuerig, with
some small tweaks to make the "don't configure if
already configured" logic work.
Modified:
llvm-gcc-4.2/trunk/build-for-llvm-top.sh
Modified: llvm-gcc-4.2/trunk/build-for-llvm-top.sh
URL: http://llvm.org/viewvc/llvm-project/llvm-gcc-4.2/trunk/build-for-llvm-top.sh?rev=62843&r1=62842&r2=62843&view=diff
==============================================================================
--- llvm-gcc-4.2/trunk/build-for-llvm-top.sh (original)
+++ llvm-gcc-4.2/trunk/build-for-llvm-top.sh Fri Jan 23 03:11:08 2009
@@ -22,9 +22,9 @@
# Next, see if we have previously been configured by sensing the presense
# of the config.status scripts
config_status="$build_dir/config.status"
-if test ! -d "$config_status" -o "$config_status" -ot "$0" ; then
+if test ! -f "$config_status" -o "$config_status" -ot "$0" ; then
# We must configure so build a list of configure options
- config_options="--prefix=$PREFIX --enable-llvm=$LLVM_TOP/llvm "
+ config_options="--prefix=$PREFIX --enable-llvm=$LLVM_TOP/build.llvm "
config_options="$config_options --program-prefix=llvm-"
config_options="$config_options --enable-languages=c,c++"
config_options="$config_options --disable-bootstrap"
@@ -38,7 +38,15 @@
config_options="$config_options $config_opts"
src_dir=`pwd`
cd "$build_dir"
- echo $src_dir/configure $config_options
- $src_dir/configure $config_options
+ msg 0 Configuring $module with:
+ msg 0 " $src_dir/configure $config_options"
+ $src_dir/configure $config_options || \
+ die $? "Configuring $module module failed"
+else
+ msg 0 Module $module already configured, ignoring configure options.
+ cd "$build_dir"
fi
+
+msg 0 Building $module with:
+msg 0 " make"
make
More information about the llvm-commits
mailing list